Name:          lshw
Version:       B.02.19.2
Release:       1mamba
Summary:       Hardware Lister
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://ezix.org/project/wiki/HardwareLiSter
Source:        http://ezix.org/software/files/lshw-%{version}.tar.gz
Source1:       %{name}-icon
Source2:       %{name}-desktop
Patch0:        %{name}-B.02.13-gcc43.patch
License:       GPL
BuildRequires: desktop-file-utils
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
lshw (Hardware Lister) is a small tool to provide detailed information on the hardware configuration of the machine.
It can report exact memory configuration, firmware version, mainboard configuration, CPU version and speed, cache configuration, bus speed, etc. on DMI-capable x86 or EFI (IA-64) systems and on some PowerPC machines (PowerMac G4 is known to work).

Information can be output in plain text, XML or HTML.

%package gui
Summary:       Hardware Lister GUI
Group:         Graphical Desktop/Applications/Administration
BuildRequires: libgtk-devel
Requires:      %{name} >= %{?epoch:%epoch:}%{version}-%{release}
Requires:      libgtk

%description gui
lshw (Hardware Lister) is a small tool to provide detailed information on the hardware configuration of the machine.
It can report exact memory configuration, firmware version, mainboard configuration, CPU version and speed, cache configuration, bus speed, etc. on DMI-capable x86 or EFI (IA-64) systems and on some PowerPC machines (PowerMac G4 is known to work).

This package provides a graphical user interface to display hardware information.

%prep
%setup -q
#%patch0 -p1

%build
%make gui
%make -C src nologo

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall install-gui

# install icon
install -D -m 0644 %{S:1} \
   %{buildroot}%{_datadir}/icons/crystalsvg/64x64/apps/%{name}.png

# install desktop file
install -D -m 0644 %{S:2} \
   %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/*.ids
%{_mandir}/man1/*
%doc COPYING
# README docs/TODO docs/Changelog docs/lshw.xsd

%files gui
%defattr(-,root,root)
%{_sbindir}/gtk-%{name}
%{_datadir}/%{name}/artwork
%dir %{_datadir}/%{name}/ui/
%{_datadir}/%{name}/ui/gtk-lshw.ui
%{_datadir}/icons/crystalsvg/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Mar 24 2020 Automatic Build System <autodist@mambasoft.it> B.02.19.2-1mamba
- automatic update by autodist

* Sat Jun 18 2016 Automatic Build System <autodist@mambasoft.it> B.02.18-2mamba
- automatic version update by autodist

* Sat Jun 18 2016 Automatic Build System <autodist@mambasoft.it> B.02.18-1mamba
- automatic version update by autodist

* Tue Aug 06 2013 Automatic Build System <autodist@mambasoft.it> B.02.17-1mamba
- automatic update by autodist

* Wed Jan 25 2012 Automatic Build System <autodist@mambasoft.it> B.02.16-1mamba
- automatic version update by autodist

* Mon Oct 25 2010 Automatic Build System <autodist@mambasoft.it> B.02.15-1mamba
- automatic update by autodist

* Wed Feb 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> B.02.14-1mamba
- automatic update by autodist

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> B.02.13-1mamba
- automatic update by autodist

* Sun Nov 18 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> B.02.12.01-1mamba
- package created by autospec
